{%  extends "templates/web.html" %}

{% block title %}{{ _("About Us") }}{% endblock %}

{% block page_content %}
 <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

      <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
      <title>Dashboard</title>
    <style>
        h5 {
            font-weight: 500;
            margin-top: 0;
            line-height: 1.2;
            font-size: 1.25rem;
        }

        html {
            font-family: 'Helvetica', sans-serif;
        }

        * {
            box-sizing: border-box;
        }

        body {
            font-size: 20px;
            color: #2d3748;
        }

        h1 {
            font-size: 2.5rem;
            margin-bottom: 0.5rem;
        }

        h2 {
            font-size: 2rem;
        }

        section {
            padding-top: 3rem;
            padding-bottom: 3rem;
            text-align: center;
        }

        .bg-dark {
            background-color: #2D3748 !important;
        }

        .text-white {
            color: #fff;
        }

        .section-light {
            background-color: #F7FAFC;
        }

        .row {
            display: flex;
            flex-wrap: wrap;
            margin-right: 20px;
            margin-left: 20px;
        }

        .col-sm-4 {
            flex: 0 0 33.33333%;
            max-width: 33.33333%;
            position: relative;
            width: 100%;
            padding-right: 10px;
            padding-left: 10px;
        }

        .mb-4,
        .my-4 {
            margin-bottom: 1.5rem !important;
        }


        .mt-4 {
            margin-top: 1.5rem !important;
        }

        .mt-5 {
            margin-top: 3rem !important;
        }

        .card {
            box-shadow: 0 4px 6px -1px rgba(210, 188, 188, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
            border: 1px solid #EDF2F7;
            position: relative;
            display: flex;
            flex-direction: column;
            min-width: 0;
            word-wrap: break-word;
            background-color: #fff;
            background-clip: border-box;
            border: 1px solid #E2E8F0;
            border-radius: 0.50rem;
        }

        .h-100 {
            height: 100% !important;
        }

        .card-body {
            line-height: 1.2;
            color: #718096;
            flex: 1 1 auto;
            padding: 1.25rem;
        }

        .card-title {
            margin-bottom: 0.75rem;
        }

        .text-left {
            text-align: left !important;
        }

        .card-body .card-body h1,
        .card-body h4,
        .card-body h5,
        .card-body h6 {
        color: #2D3748;
        }

        {
         margin: 0;
         padding: 0;
        }


        a:link {
            text-decoration: none;
        }
        .dropdown {
          float: left;
          position: relative;
          display: inline-block;
        }

        .dropdown-content {
          display: none;
          position: absolute;
          background-color: #f1f1f1;
          min-width: 160px;
          overflow: auto;
          box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
          right: 0;
          z-index: 1;
        }

        .dropdown-content a {
          color: black;
          padding: 12px 16px;
          text-decoration: none;
          display: block;
        }

        .dropdown a:hover {background-color: #ddd;}

        .show {display: block;}
    </style>
</head>
<body>
<div class="dropdown">
  <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
    Bank Dashboard
  </button>
  <div class="dropdown-menu">
      {% if (frappe.session.user == "idfc@gmail.com")  or (frappe.session.user == "Administrator") %}
    <a class="dropdown-item" href="idfc">IDFC</a>
      {% endif %}
        {% if (frappe.session.user == "federal@gmail.com")  or (frappe.session.user == "Administrator") %}
    <a class="dropdown-item" href="fed">Fed</a>
      {% endif %}
       {% if (frappe.session.user == "bob@gmail.com")  or (frappe.session.user == "Administrator") %}
    <a class="dropdown-item" href="bob">BOB</a>
            {% endif %}
      {% if (frappe.session.user == "sbm@gmail.com")  or (frappe.session.user == "Administrator") %}
      <a class="dropdown-item" href="sbm">SBM</a>
       {% endif %}
        {% if (frappe.session.user == "sib@gmail.com")  or (frappe.session.user == "Administrator") %}
      <a class="dropdown-item" href="sib">SIB</a>
       {% endif %}
  </div>
</div>

    <div class="row mt-5">
        <div class="col-sm-4 mb-4">
            <div class="card h-100 card-with-link">
                <div class="card-body text-left">
                    <h5 class="card-title">Total Incoming Bills</h5>
                    <div>{{ total_incoming_bills }}</div>
                </div>
            </div>
        </div>
        <div class="col-sm-4 mb-4">
            <div class="card h-100 card-with-link">
                <div class="card-body text-left">
                    <h5 class="card-title">Total Outgoing bills</h5>
                    <div>{{ total_outgoing_bills }}</div>
                </div>
            </div>
        </div>
        <div class="col-sm-4 mb-4">
            <div class="card h-100 card-with-link">
                <div class="card-body text-left">
                    <h5 class="card-title">Submitted Cards</h5>
                    <div>{{ submitted_cards }}</div>
                </div>
            </div>
        </div>

        <div class="col-sm-4 mb-4">
            <div class="card h-100 card-with-link">
                <div class="card-body text-left">
                    <h5 class="card-title">Status of Card</h5>
                    <div>{{ status_of_card }}</div>
                </div>
            </div>
        </div>
        <div class="col-sm-4 mb-4">
            <div class="card h-100 card-with-link">
                <div class="card-body text-left">
                    <h5 class="card-title">Total Number of Cards</h5>
                    <div>{{ total_number_of_cards }}</div>
                </div>
            </div>
        </div>
        <div class="col-sm-4 mb-4">
            <div class="card h-100 card-with-link">
                <div class="card-body text-left">
                    <h5 class="card-title">Closed Status of Cards</h5>
                    <div>{{ closed_status_of_card }}</div>
                </div>
            </div>
        </div>
        <div class="col-sm-4 mb-4">
            <div class="card h-100 card-with-link">
                <div class="card-body text-left">
                    <h5 class="card-title">Total Incoming Payment</h5>
                    <div>{{ total_incoming_payment }}</div>
                </div>
            </div>
        </div>
         <div class="col-sm-4 mb-4">
            <div class="card h-100 card-with-link">
                <div class="card-body text-left">
                    <h5 class="card-title">Total Salary Structure</h5>
                    <div>{{ total_salary_structure }}</div>
                </div>
            </div>
        </div>
        <div class="col-sm-4 mb-4">
            <div class="card h-100 card-with-link">
                <div class="card-body text-left">
                    <h5 class="card-title">Total Outgoing Payment</h5>
                    <div>{{ total_outgoing_payment }}</div>
                </div>
            </div>
        </div>
    </div>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.min.js" integrity="sha384-w1Q4orYjBQndcko6MimVbzY0tgp4pWB4lZ7lr30WKz0vr/aWKhXdBNmNb5D92v7s" crossorigin="anonymous"></script>


{% endblock %}